Package be.ehealth.businessconnector.wsconsent.session

# Interface WsConsentService

All Known Implementing Classes:
  `WsConsentServiceImpl`

public interface WsConsentService
WsConsentService interface. Default impl : `WsConsentServiceImpl` Factory : `WsConsentSessionServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetPatientConsentResponse`
  `getPatientConsent(GetPatientConsentRequest getPatientConsentRequest)`
  Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
  `GetPatientConsentStatusResponse`
  `getPatientConsentStatus(GetPatientConsentStatusRequest getPatientConsentStatusRequest)`
  Method which perform the call to the webSevice which allows an end-user to check the status of an informed patient consent
  `PutPatientConsentResponse`
  `putPatientConsent(PutPatientConsentRequest putPatientConsentRequest)`
  Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent.
  `RevokePatientConsentResponse`
  `revokePatientConsent(RevokePatientConsentRequest revokePatientConsentRequest)`
  Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent.

- ## Method Details

  - ### putPatientConsent

    PutPatientConsentResponse putPatientConsent(PutPatientConsentRequest putPatientConsentRequest) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.
    Parameters:
      `putPatientConsentRequest` -
    Returns:
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### getPatientConsent

    GetPatientConsentResponse getPatientConsent(GetPatientConsentRequest getPatientConsentRequest) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
    Parameters:
      `getPatientConsentRequest` -
    Returns:
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### getPatientConsentStatus

    GetPatientConsentStatusResponse getPatientConsentStatus(GetPatientConsentStatusRequest getPatientConsentStatusRequest) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Method which perform the call to the webSevice which allows an end-user to check the status of an informed patient consent
    Parameters:
      `getPatientConsentStatusRequest` -
    Returns:
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### revokePatientConsent

    RevokePatientConsentResponse revokePatientConsent(RevokePatientConsentRequest revokePatientConsentRequest) throws WsConsentBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.
    Parameters:
      `revokePatientConsentRequest` -
    Returns:
    Throws:
      `WsConsentBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`